org.apache.http.client.config

## Class RequestConfig.Builder

- java.lang.Object
- - org.apache.http.client.config.RequestConfig.Builder

- Enclosing class:
    RequestConfig

      public static class RequestConfig.Builder
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestConfig` | `build()`
    `RequestConfig.Builder` | `setAuthenticationEnabled(boolean authenticationEnabled)`
    `RequestConfig.Builder` | `setCircularRedirectsAllowed(boolean circularRedirectsAllowed)`
    `RequestConfig.Builder` | `setConnectionRequestTimeout(int connectionRequestTimeout)`
    `RequestConfig.Builder` | `setConnectTimeout(int connectTimeout)`
    `RequestConfig.Builder` | `setContentCompressionEnabled(boolean contentCompressionEnabled)`
    `RequestConfig.Builder` | `setCookieSpec(String cookieSpec)`
    `RequestConfig.Builder` | `setDecompressionEnabled(boolean decompressionEnabled)` Deprecated. (4.5) Set `setContentCompressionEnabled(boolean)` to `false` and add the `Accept-Encoding` request header.
    `RequestConfig.Builder` | `setExpectContinueEnabled(boolean expectContinueEnabled)`
    `RequestConfig.Builder` | `setLocalAddress(InetAddress localAddress)`
    `RequestConfig.Builder` | `setMaxRedirects(int maxRedirects)`
    `RequestConfig.Builder` | `setNormalizeUri(boolean normalizeUri)`
    `RequestConfig.Builder` | `setProxy(org.apache.http.HttpHost proxy)`
    `RequestConfig.Builder` | `setProxyPreferredAuthSchemes(Collection<String> proxyPreferredAuthSchemes)`
    `RequestConfig.Builder` | `setRedirectsEnabled(boolean redirectsEnabled)`
    `RequestConfig.Builder` | `setRelativeRedirectsAllowed(boolean relativeRedirectsAllowed)`
    `RequestConfig.Builder` | `setSocketTimeout(int socketTimeout)`
    `RequestConfig.Builder` | `setStaleConnectionCheckEnabled(boolean staleConnectionCheckEnabled)` Deprecated. (4.4) Use `PoolingHttpClientConnectionManager.setValidateAfterInactivity(int)`
    `RequestConfig.Builder` | `setTargetPreferredAuthSchemes(Collection<String> targetPreferredAuthSchemes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setExpectContinueEnabled

          public RequestConfig.Builder setExpectContinueEnabled(boolean expectContinueEnabled)

    - #### setProxy

          public RequestConfig.Builder setProxy(org.apache.http.HttpHost proxy)

    - #### setLocalAddress

          public RequestConfig.Builder setLocalAddress(InetAddress localAddress)

    - #### setStaleConnectionCheckEnabled

          @Deprecated
          public RequestConfig.Builder setStaleConnectionCheckEnabled(boolean staleConnectionCheckEnabled)

      Deprecated. (4.4) Use `PoolingHttpClientConnectionManager.setValidateAfterInactivity(int)`

    - #### setCookieSpec

          public RequestConfig.Builder setCookieSpec(String cookieSpec)

    - #### setRedirectsEnabled

          public RequestConfig.Builder setRedirectsEnabled(boolean redirectsEnabled)

    - #### setRelativeRedirectsAllowed

          public RequestConfig.Builder setRelativeRedirectsAllowed(boolean relativeRedirectsAllowed)

    - #### setCircularRedirectsAllowed

          public RequestConfig.Builder setCircularRedirectsAllowed(boolean circularRedirectsAllowed)

    - #### setMaxRedirects

          public RequestConfig.Builder setMaxRedirects(int maxRedirects)

    - #### setAuthenticationEnabled

          public RequestConfig.Builder setAuthenticationEnabled(boolean authenticationEnabled)

    - #### setTargetPreferredAuthSchemes

          public RequestConfig.Builder setTargetPreferredAuthSchemes(Collection<String> targetPreferredAuthSchemes)

    - #### setProxyPreferredAuthSchemes

          public RequestConfig.Builder setProxyPreferredAuthSchemes(Collection<String> proxyPreferredAuthSchemes)

    - #### setConnectionRequestTimeout

          public RequestConfig.Builder setConnectionRequestTimeout(int connectionRequestTimeout)

    - #### setConnectTimeout

          public RequestConfig.Builder setConnectTimeout(int connectTimeout)

    - #### setSocketTimeout

          public RequestConfig.Builder setSocketTimeout(int socketTimeout)

    - #### setDecompressionEnabled

          @Deprecated
          public RequestConfig.Builder setDecompressionEnabled(boolean decompressionEnabled)

      Deprecated. (4.5) Set `setContentCompressionEnabled(boolean)` to `false` and add the `Accept-Encoding` request header.

    - #### setContentCompressionEnabled

          public RequestConfig.Builder setContentCompressionEnabled(boolean contentCompressionEnabled)

    - #### setNormalizeUri

          public RequestConfig.Builder setNormalizeUri(boolean normalizeUri)

    - #### build

          public RequestConfig build()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.